org.apache.solr.common.util

## Class Template

- java.lang.Object
- - org.apache.solr.common.util.Template

    public class Template
    extends Object

### Field Summary

Fields
`static Pattern` `BRACES_PLACEHOLDER_PATTERN`
`static Pattern` `DOLLAR_BRACES_PLACEHOLDER_PATTERN`
`String` `template`
`List<String>` `variables`

### Constructor Summary

Constructors
Constructor and Description
`Template(String template, Pattern pattern)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `apply(Function<String,Object> valueSupplier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### template

    public final String template

#### DOLLAR_BRACES_PLACEHOLDER_PATTERN

    public static final Pattern DOLLAR_BRACES_PLACEHOLDER_PATTERN

#### BRACES_PLACEHOLDER_PATTERN

    public static final Pattern BRACES_PLACEHOLDER_PATTERN

#### variables

    public final List<String> variables

### Constructor Detail

#### Template

    public Template(String template,
                    Pattern pattern)

### Method Detail

#### apply

    public String apply(Function<String,Object> valueSupplier)